Subject: Re: git-gui blame dividing by zero

From: "Shawn O. Pearce" <[email-masked]>
Date: Wed, 4 Apr 2007 11:27:48 -0400

Andy Parkins <[email-masked]> wrote:
>  $ git-gui blame HEAD somefile.cc
> 
> I just get a window that contains:
> 
> divide by zero
> divide by zero
>     while executing
> "expr {100 * $blame_data($w,blame_lines)
> 			/ $blame_data($w,total_lines)}"
>     (procedure "blame_incremental_status" line 4)
>     invoked from within
> "blame_incremental_status $w"
>     (procedure "read_blame_catfile" line 27)
>     invoked from within
> "read_blame_catfile file6 {} HEAD 
> somefile.cc .cm.t .out.loaded_t .out.linenumber_t .out.file_t"

Heh.  So we came up with no lines in the file.  Weird.  What does
git-blame produce on the same arguments?  What about with the
--incremental flag?

I'll dig into git-gui and see what I can do to more gracefully
handle this condition, but right now I'm thinking we didn't get
any data from git...

-- 
Shawn.